
import { NativeEventEmitter, NativeModules ,Platform} from 'react-native';

const {ToolsModule} =  NativeModules


export default class KeyBoardBox{
    //收起键盘
    static HiddenKeyBoard(){
        return Platform.OS == "ios" ? ToolsModule.HiddenKeyBoard() : null
    }

    //禁止键盘
    static ForbidKeyBoard(){
        //return  Platform.OS == "ios" ? ToolsModule.ForbidKeyBoard() : NativeModules.ToolsModule.forbidPopupKeyboard();
    }
    //取消禁止键盘 容许系统键盘
    static AllowKeyBoard(){
        //return  Platform.OS == "ios" ? ToolsModule.AllowKeyBoard() : null
    }
    //当前系统键盘禁止状态
    static KeyBoardState(){
        if(ToolsModule.KeyBoardState){
            return ToolsModule.KeyBoardState()
        }
        return {}
    }
}