
import {Platform} from 'react-native';

export const ExecuteLoop = {
    Loop : -1,
    Once: 1,
    None:0
}

export class Event{
    //事件的标识 不能有重复的 会覆盖之前的
    id = 19930715
    //执行次数
    loop = ExecuteLoop.Loop
    _loop = ExecuteLoop.Loop
    //执行的window的方法名
    name = "Event"
    //传递的参数  Function 或者 Object
    param = null
    constructor(id = 8286,param,name,loop = ExecuteLoop.Loop){
        this.id = id
        this.loop = loop
        this._loop = loop
        this.name = name
        this.date = date
        this.param = param
    }
    script(){
        if(this._loop == ExecuteLoop.None){return "null"}
        this._loop = this._loop - 1
        _param = typeof this.param == "function" ? this.param() : this.param
        if(_param == null){return "null"}
        _param = typeof _param == "string" ? _param : JSON.stringify(_param)
        return `
            function(){window && window.${this.name} && typeof window.${this.name} == 'function'  &&  window.${this.name}(${_param});}();
        `
    }
}

class _RNHTMLEventManager{
    constructor () {
        this._events = {}   
    }
    addEvent(event){
        if(event instanceof Event){
            this._events[event.id] = event 
        }
    }

    removeEvent(id){
        event = this._events[id]
        return event ? (delete this._events[id]  && event) : event
    }
    injecteScripts(){
        return Object.values(this._events).map((item,index)=>{
            return item.script()
        }).filter((item)=>{
            return item != "null"
        })
    }
}

export const RNHTMLEventManager =   new _RNHTMLEventManager()